Get a single environment
GET /api/v3/organizations/{organisation}/applications/{application}/environments/{environment}
GET
/api/v3/organizations/{organisation}/applications/{application}/environments/{environment}
Authorizations
Parameters
Path Parameters
organisation
required
string
The organisation ID
Example
test-org application
required
string
The application ID
Example
test-app environment
required
string
The environment ID
Example
test-envResponses
200
The environment with runtime details
Environment response schema with runtime details
object
envName
required
Environment name
string
production status
Environment status
string
ACTIVE runningCount
Number of running tasks
integer
2 desiredCount
Desired number of tasks
integer
2 minCapacity
Minimum capacity for autoscaling
integer
1 maxCapacity
Maximum capacity for autoscaling
integer
5 publicIpAddress
Public IP address for SSH access
string
54.123.45.67 deploymentStatus
Current deployment status
string
COMPLETED deploymentFailureType
Type of deployment failure
string
deploymentFailureReason
Reason for deployment failure
string
taskDefinition
ECS task definition details
object
service
ECS service details
object
loadBalancer
Load balancer configuration
object
securityGroup
Security group configuration
object
subnet
Subnet configuration
object
vpc
VPC configuration
object
containerNames
Container name list
Array<string>
volumes
Persistent storage volumes
Array<object>
object
volumeId
string
volumeName
string
description
string
environmentEfsId
string
createdAt
string
rootDirectory
string
accessPointId
string
accessPointArn
string
cron
Scheduled cron jobs
Array<object>
object
name
string
description
string
scheduleExpression
string
command
Array<string>
targetContainerName
string
isEnabled
boolean
albRouting
ALB routing configuration
object
createdAt
Creation timestamp
string format: date-time
updatedAt
Last update timestamp
string format: date-time
404
The environment not found